/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef __QHANDLE_HPP__
#define __QHANDLE_HPP__

#include <qnamespace.h>

#include "pyside_global.hpp"

namespace PySide
{

class PYSIDE_API qhandle
{
    public:
        qhandle(Qt::HANDLE h);
        qhandle(const qhandle&);
        Qt::HANDLE get_handle() const;
        unsigned long to_long() const;

        static void export_python_class();

    private:
        Qt::HANDLE m_handle;

};

} // namespace PySide

#endif // __QHANDLER_HPP__

