/*
 * This file is part of PySide: Python for Qt
 *
 * Copyright (C) 2009 Nokia Corporation and/or its subsidiary(-ies).
 *
 * Contact: PySide team <contact@pyside.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef __WRAPPER_HPP__
#define __WRAPPER_HPP__

#include "pyside_global.hpp"
#include "boost_headers.hpp"

#include <QStringList>

namespace PySide
{

class PYSIDE_API wrapper
{
    public:
        PyObject* py_object() { return m_self; }
        void keep_cpp_ref();
        virtual ~wrapper();

    protected:
        wrapper(PyObject *self);
        boost::python::object get_override(const char* base_class_name, const char* method_name) const;

    private:
        wrapper() {}
        wrapper(wrapper &) {}

        PyObject *m_self;
        bool m_has_cpp_ref;
};

} // namespace PySide

#endif // __WRAPPER_MANAGER_HPP__

